# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "freertos-build"
version = "0.4.3"
authors = ["Jalon Wong <jalonwong@gmail.com>"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Utility lib for building & using FreeRTOS in rust projects inside the build.rs."
homepage = "https://github.com/mcu-rust/FreeRTOS/tree/main/freertos-cargo-build"
readme = "README.md"
license = "MIT"

[lib]
name = "freertos_build"
path = "src/lib.rs"

[dependencies.cc]
version = "1.0.52"

[dependencies.walkdir]
version = "2.3.1"
